Package org.pgpainless.key.certification

# Class CertifyCertificate.DelegationOnCertificate

java.lang.Object
org.pgpainless.key.certification.CertifyCertificate.DelegationOnCertificate

Enclosing class:
  `CertifyCertificate`

public static class CertifyCertificate.DelegationOnCertificate extends Object

## Method Summary

Modifier and Type
Method
Description
`CertifyCertificate.DelegationOnCertificateWithSubpackets`
`withKey(org.bouncycastle.openpgp.PGPSecretKeyRing certificationKey, SecretKeyRingProtector protector)`
Build the delegation using the given certification key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### withKey

public CertifyCertificate.DelegationOnCertificateWithSubpackets withKey(@Nonnull org.bouncycastle.openpgp.PGPSecretKeyRing certificationKey, @Nonnull SecretKeyRingProtector protector) throws org.bouncycastle.openpgp.PGPException
Build the delegation using the given certification key.

Parameters:
  `certificationKey` - key to create the certification with
  `protector` - protector to unlock the certification key
Returns:
  API
Throws:
  `org.bouncycastle.openpgp.PGPException` - in case of an OpenPGP related error